<nav
  class="relative flex flex-wrap items-center justify-between px-2 mb-2"
  style="background-color: #22d3ee"
>
  <div
    class="container px-4 mx-auto flex flex-wrap items-center justify-between"
  >
    <div
      class="
        w-full
        relative
        flex
        justify-between
        lg:w-auto lg:static lg:block lg:justify-start
      "
    >
      <div class="flex justify-center items-center">
        <svg
          class="fill-current h-8 w-8 mr-2"
          width="54"
          height="54"
          viewBox="0 0 50 50"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path
            d="M13.5 22.1c1.8-7.2 6.3-10.8 13.5-10.8 10.8 0 12.15 8.1 17.55 9.45 3.6.9 6.75-.45 9.45-4.05-1.8 7.2-6.3 10.8-13.5 10.8-10.8 0-12.15-8.1-17.55-9.45-3.6-.9-6.75.45-9.45 4.05zM0 38.3c1.8-7.2 6.3-10.8 13.5-10.8 10.8 0 12.15 8.1 17.55 9.45 3.6.9 6.75-.45 9.45-4.05-1.8 7.2-6.3 10.8-13.5 10.8-10.8 0-12.15-8.1-17.55-9.45-3.6-.9-6.75.45-9.45 4.05z"
          />
        </svg>
        <span
          class="
            text-2xl
            font-bold
            leading-relaxed
            inline-block
            mr-3
            py-2
            whitespace-nowrap
            uppercase
            text-white
          "
        >
          IMDB CLONE
        </span>
      </div>

      <button
        class="
          text-white
          cursor-pointer
          text-xl
          leading-none
          px-3
          py-1
          border border-solid border-transparent
          rounded
          bg-transparent
          block
          lg:hidden
          outline-none
          focus:outline-none
        "
        type="button"
        (click)="toggleNavbar()"
      >
        <svg
          class="fill-current h-3 w-3"
          viewBox="0 0 20 20"
          xmlns="http://www.w3.org/2000/svg"
        >
          <title>Menu</title>
          <path d="M0 3h20v2H0V3zm0 6h20v2H0V9zm0 6h20v2H0v-2z" />
        </svg>
      </button>
    </div>
    <div
      [ngClass]="{ hidden: !showMenu, flex: showMenu }"
      class="lg:flex lg:flex-grow items-center"
    >
      <ul class="flex flex-col lg:flex-row list-none ml-auto">
        <li class="nav-item">
          <a
            class="
              px-3
              py-2
              flex
              items-center
              text-xs
              uppercase
              font-bold
              leading-snug
              hover:text-black-500
            "
            href="/home"
          >
            HOME
          </a>
        </li>
        <li class="nav-item">
          <a
            class="
              px-3
              py-2
              flex
              items-center
              text-xs
              uppercase
              font-bold
              leading-snug
              hover:text-blue-500
            "
            href="/add"
          >
            ADD MOVIE
          </a>
        </li>
      </ul>
    </div>
  </div>
</nav>
<router-outlet></router-outlet>
